%global __brp_check_rpaths %{nil}
%global packname  ICvectorfields
%global packver   0.1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.2
Release:          1%{?dist}%{?buildtag}
Summary:          Vector Fields from Spatial Time Series of Population Abundance

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildRequires:    R-CRAN-terra >= 1.5.21
BuildRequires:    R-CRAN-fftwtools 
BuildRequires:    R-CRAN-Rcpp 
Requires:         R-CRAN-terra >= 1.5.21
Requires:         R-CRAN-fftwtools 
Requires:         R-CRAN-Rcpp 

%description
Functions for converting time series of spatial abundance or density data
in raster format to vector fields of population movement using the digital
image correlation technique. More specifically, the functions in the
package compute cross-covariance using discrete fast Fourier transforms
for computational efficiency. Vectors in vector fields point in the
direction of highest two dimensional cross-covariance. The package has a
novel implementation of the digital image correlation algorithm that is
designed to detect persistent directional movement when image time series
extend beyond a sequence of two raster images.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
